# --------------------------------------------------------------------------------------
# Constants and variables
# --------------------------------------------------------------------------------------

ByExtension = {
    "1": "nf nf-fa-book",
    "2": "nf nf-fa-book",
    "3": "nf nf-fa-book",
    "4": "nf nf-fa-book",
    "5": "nf nf-fa-book",
    "6": "nf nf-fa-book",
    "7": "nf nf-fa-book",
    "7z": "nf nf-oct-file_zip",
    "8": "nf nf-fa-book",
    "a": "nf nf-seti-julia",
    "ai": "nf nf-dev-illustrator",
    "ape": "nf nf-fa-music",
    "apk": "nf nf-dev-android",
    "apng": "nf nf-fa-file_image",
    "ar": "nf nf-oct-file_zip",
    "asc": "nf nf-md-shield_lock",
    "asm": "nf nf-oct-file_binary",
    "asp": "nf nf-fa-code",
    "avi": "nf nf-fa-film",
    "avif": "nf nf-fa-file_image",
    "avro": "nf nf-seti-json",
    "awk": "nf nf-oct-terminal",
    "bak": "nf nf-md-backup_restore",
    "bash_history": "nf nf-oct-terminal",
    "bash_profile": "nf nf-oct-terminal",
    "bashrc": "nf nf-oct-terminal",
    "bash": "nf nf-oct-terminal",
    "bat": "nf nf-fa-windows",
    "bin": "nf nf-cod-file_binary",
    "bio": "nf nf-md-playlist_play",
    "blend": "nf nf-md-blender_software",
    "blend1": "nf nf-md-blender_software",
    "bmp": "nf nf-fa-file_image",
    "bz2": "nf nf-oct-file_zip",
    "cc": "nf nf-custom-cpp",
    "cfg": "nf nf-seti-config",
    "cjs": "nf nf-dev-javascript",
    "class": "nf nf-dev-java",
    "cljs": "nf nf-dev-clojure_alt",
    "clj": "nf nf-dev-clojure",
    "cls": "nf nf-seti-stylus",
    "cl": "nf nf-md-code_parentheses",
    "coffee": "nf nf-fa-coffee",
    "conf": "nf nf-seti-config",
    "cpp": "nf nf-custom-cpp",
    "cp": "nf nf-custom-cpp",
    "cshtml": "nf nf-fa-at",
    "csh": "nf nf-oct-terminal",
    "csproj": "nf nf-md-language_csharp",
    "css": "nf nf-dev-css3",
    "cs": "nf nf-md-language_csharp",
    "csv": "nf nf-fa-file_excel",
    "csx": "nf nf-md-language_csharp",
    "cts": "nf nf-seti-typescript",
    "c++": "nf nf-custom-cpp",
    "c": "nf nf-custom-c",
    "cue": "nf nf-fa-music",
    "cxx": "nf nf-custom-cpp",
    "cypher": "nf nf-fa-database",
    "dart": "nf nf-dev-dart",
    "dat": "nf nf-fa-database",
    "db": "nf nf-fa-database",
    "deb": "nf nf-fa-archive",
    "desktop": "nf nf-fa-desktop",
    "diff": "nf nf-dev-git_compare",
    "dll": "nf nf-fa-windows",
    "dockerfile": "nf nf-linux-docker",
    "doc": "nf nf-fa-file_word",
    "docx": "nf nf-fa-file_word",
    "download": "nf nf-oct-clock",
    "ds_store": "nf nf-fa-apple",
    "dump": "nf nf-fa-database",
    "ebook": "nf nf-fae-book_open_o",
    "ebuild": "nf nf-linux-gentoo",
    "eclass": "nf nf-linux-gentoo",
    "editorconfig": "nf nf-seti-config",
    "egg-info": "nf nf-seti-python",
    "ejs": "nf nf-seti-ejs",
    "elc": "nf nf-md-code_parentheses",
    "elf": "nf nf-oct-terminal",
    "elm": "nf nf-custom-elm",
    "el": "nf nf-md-code_parentheses",
    "env": "nf nf-oct-sliders",
    "eot": "nf nf-fa-font",
    "epub": "nf nf-fae-book_open",
    "erb": "nf nf-dev-ruby_on_rails",
    "erl": "nf nf-dev-erlang",
    "exe": "nf nf-fa-windows",
    "exs": "nf nf-custom-elixir",
    "ex": "nf nf-custom-elixir",
    "fish": "nf nf-oct-terminal",
    "flac": "nf nf-fa-music",
    "flv": "nf nf-fa-film",
    "fnl": "nf nf-custom-fennel",
    "font": "nf nf-fa-font",
    "fpl": "nf nf-md-playlist_play",
    "fsi": "nf nf-dev-fsharp",
    "fs": "nf nf-dev-fsharp",
    "fsx": "nf nf-dev-fsharp",
    "gdoc": "nf nf-fa-file_word",
    "gemfile": "nf nf-fae-ruby_o",
    "gemspec": "nf nf-fae-ruby_o",
    "gform": "nf nf-fa-wpforms",
    "gif": "nf nf-fa-file_image",
    "git": "nf nf-fa-git",
    "go": "nf nf-seti-go",
    "gradle": "nf nf-seti-gradle",
    "gsheet": "nf nf-fa-file_excel",
    "gslides": "nf nf-fa-file_powerpoint",
    "guardfile": "nf nf-fae-ruby_o",
    "gv": "nf nf-md-graph",
    "gz": "nf nf-oct-file_zip",
    "hbs": "nf nf-seti-mustache",
    "heic": "nf nf-fa-file_image",
    "heif": "nf nf-fa-file_image",
    "heix": "nf nf-fa-file_image",
    "hh": "nf nf-fa-h_square",
    "hpp": "nf nf-fa-h_square",
    "hs": "nf nf-dev-haskell",
    "html": "nf nf-fa-html5",
    "htm": "nf nf-fa-html5",
    "h": "nf nf-fa-h_square",
    "hxx": "nf nf-fa-h_square",
    "ico": "nf nf-fa-file_image",
    "image": "nf nf-fa-file_image",
    "img": "nf nf-fa-database",
    "iml": "nf nf-dev-intellij",
    "info": "nf nf-dev-terminal",
    "in": "nf nf-fa-file_lines",
    "ini": "nf nf-seti-config",
    "ipynb": "nf nf-seti-python",
    "iso": "nf nf-fa-database",
    "j2": "nf nf-pom-clean_code",
    "jar": "nf nf-dev-java",
    "java": "nf nf-dev-java",
    "jinja": "nf nf-pom-clean_code",
    "jl": "nf nf-seti-julia",
    "jpeg": "nf nf-fa-file_image",
    "jpg": "nf nf-fa-file_image",
    "jsonc": "nf nf-seti-json",
    "json": "nf nf-seti-json",
    "js": "nf nf-dev-javascript",
    "jsx": "nf nf-dev-react",
    "key": "nf nf-md-key",
    "ksh": "nf nf-oct-terminal",
    "kt": "nf nf-custom-kotlin",
    "kts": "nf nf-custom-kotlin",
    "kusto": "nf nf-fa-database",
    "ldb": "nf nf-fa-database",
    "ld": "nf nf-seti-julia",
    "less": "nf nf-dev-less",
    "lhs": "nf nf-dev-haskell",
    "license": "nf nf-seti-license",
    "lisp": "nf nf-md-code_parentheses",
    "list": "nf nf-fa-list",
    "localized": "nf nf-fa-apple",
    "lock": "nf nf-fa-lock",
    "log": "nf nf-fa-stack_exchange",
    "lss": "nf nf-dev-css3",
    "lua": "nf nf-seti-lua",
    "lz": "nf nf-oct-file_zip",
    "mgc": "nf nf-fa-magic",
    "m3u8": "nf nf-md-playlist_play",
    "m3u": "nf nf-md-playlist_play",
    "m4a": "nf nf-fa-music",
    "m4v": "nf nf-fa-film",
    "magnet": "nf nf-fa-magnet",
    "malloy": "nf nf-fa-database",
    "man": "nf nf-fa-book",
    "markdown": "nf nf-fa-markdown",
    "md": "nf nf-fa-markdown",
    "mjs": "nf nf-dev-javascript",
    "mkd": "nf nf-fa-markdown",
    "mk": "nf nf-fa-cogs",
    "mkv": "nf nf-fa-film",
    "ml": "nf nf-seti-ocaml",
    "mli": "nf nf-seti-ocaml",
    "mll": "nf nf-seti-ocaml",
    "mly": "nf nf-seti-ocaml",
    "mobi": "nf nf-fae-book_open_o",
    "mov": "nf nf-fa-film",
    "mp3": "nf nf-fa-music",
    "mp4": "nf nf-fa-film",
    "msi": "nf nf-fa-windows",
    "mts": "nf nf-seti-typescript",
    "mustache": "nf nf-seti-mustache",
    "nim": "nf nf-seti-nim",
    "nimble": "nf nf-seti-nim",
    "nix": "nf nf-linux-nixos",
    "npmignore": "nf nf-dev-npm",
    "odp": "nf nf-fa-file_powerpoint",
    "ods": "nf nf-fa-file_excel",
    "odt": "nf nf-fa-file_word",
    "ogg": "nf nf-fa-music",
    "ogv": "nf nf-fa-film",
    "old": "nf nf-md-backup_restore",
    "opus": "nf nf-fa-music",
    "orig": "nf nf-md-backup_restore",
    "org": "nf nf-custom-orgmode",
    "otf": "nf nf-fa-font",
    "o": "nf nf-cod-file_binary",
    "part": "nf nf-oct-clock",
    "patch": "nf nf-dev-git_compare",
    "pdb": "nf nf-md-database_lock",
    "pdf": "nf nf-fa-file_pdf",
    "pem": "nf nf-md-key",
    "phar": "nf nf-seti-php",
    "php": "nf nf-seti-php",
    "pkg": "nf nf-fa-archive",
    "pl": "nf nf-seti-perl",
    "plist": "nf nf-linux-apple",
    "pls": "nf nf-md-playlist_play",
    "plx": "nf nf-seti-perl",
    "pm": "nf nf-seti-perl",
    "png": "nf nf-fa-file_image",
    "pod": "nf nf-seti-perl",
    "pp": "nf nf-custom-puppet",
    "ppt": "nf nf-fa-file_powerpoint",
    "pptx": "nf nf-fa-file_powerpoint",
    "procfile": "nf nf-fae-ruby_o",
    "properties": "nf nf-seti-json",
    "prql": "nf nf-fa-database",
    "ps1": "nf nf-oct-terminal",
    "psd": "nf nf-dev-photoshop",
    "pub": "nf nf-md-key",
    "slt": "nf nf-md-file_lock",
    "pxm": "nf nf-fa-file_image",
    "pyc": "nf nf-seti-python",
    "py": "nf nf-seti-python",
    "rakefile": "nf nf-fae-ruby_o",
    "rar": "nf nf-oct-file_zip",
    "razor": "nf nf-fa-at",
    "rb": "nf nf-fae-ruby_o",
    "rdata": "nf nf-md-language_r",
    "rdb": "nf nf-dev-redis",
    "rdoc": "nf nf-fa-markdown",
    "rds": "nf nf-md-language_r",
    "readme": "nf nf-fa-readme",
    "rlib": "nf nf-seti-rust",
    "rl": "nf nf-fa-keyboard",
    "rmd": "nf nf-fa-markdown",
    "rmeta": "nf nf-seti-rust",
    "rpm": "nf nf-fa-archive",
    "rproj": "nf nf-md-vector_rectangle",
    "rq": "nf nf-fa-database",
    "rspec_parallel": "nf nf-fae-ruby_o",
    "rspec_status": "nf nf-fae-ruby_o",
    "rspec": "nf nf-fae-ruby_o",
    "rss": "nf nf-fa-feed",
    "rs": "nf nf-seti-rust",
    "rtf": "nf nf-fa-file_lines",
    "rubydoc": "nf nf-dev-ruby_on_rails",
    "r": "nf nf-md-language_r",
    "ru": "nf nf-fae-ruby_o",
    "sass": "nf nf-seti-sass",
    "scala": "nf nf-dev-scala",
    "scpt": "nf nf-linux-apple",
    "scss": "nf nf-seti-sass",
    "shell": "nf nf-oct-terminal",
    "sh": "nf nf-oct-terminal",
    "sig": "nf nf-seti-license",
    "slim": "nf nf-dev-ruby_on_rails",
    "sln": "nf nf-dev-visualstudio",
    "so": "nf nf-seti-julia",
    "sqlite3": "nf nf-dev-sqllite",
    "sql": "nf nf-fa-database",
    "srt": "nf nf-md-subtitles",
    "styl": "nf nf-seti-stylus",
    "stylus": "nf nf-seti-stylus",
    "sublime-menu": "nf nf-dev-sublime",
    "sublime-package": "nf nf-dev-sublime",
    "sublime-project": "nf nf-dev-sublime",
    "sublime-session": "nf nf-dev-sublime",
    "sub": "nf nf-md-subtitles",
    "s": "nf nf-oct-file_binary",
    "svg": "nf nf-fa-file_image",
    "svelte": "nf nf-seti-svelte",
    "swift": "nf nf-dev-swift",
    "swp": "nf nf-custom-vim",
    "sym": "nf nf-cod-file_binary",
    "tar": "nf nf-oct-file_zip",
    "taz": "nf nf-oct-file_zip",
    "tbz": "nf nf-oct-file_zip",
    "tbz2": "nf nf-oct-file_zip",
    "tex": "nf nf-seti-stylus",
    "tgz": "nf nf-oct-file_zip",
    "tiff": "nf nf-fa-file_image",
    "timestamp": "nf nf-oct-clock",
    "toml": "nf nf-seti-json",
    "torrent": "nf nf-md-server_network",
    "trash": "nf nf-fa-trash",
    "ts": "nf nf-seti-typescript",
    "tsx": "nf nf-dev-react",
    "ttc": "nf nf-fa-font",
    "ttf": "nf nf-fa-font",
    "t": "nf nf-dev-perl",
    "twig": "nf nf-seti-twig",
    "txt": "nf nf-fa-file_lines",
    "unity": "nf nf-dev-unity_small",
    "unity32": "nf nf-dev-unity_small",
    "video": "nf nf-fa-film",
    "vim": "nf nf-custom-vim",
    "vlc": "nf nf-md-playlist_play",
    "vue": "nf nf-md-vuejs",
    "wav": "nf nf-fa-music",
    "webm": "nf nf-fa-film",
    "webp": "nf nf-fa-file_image",
    "whl": "nf nf-oct-package",
    "windows": "nf nf-fa-windows",
    "wma": "nf nf-fa-music",
    "wmv": "nf nf-fa-film",
    "woff2": "nf nf-fa-font",
    "woff": "nf nf-fa-font",
    "wpl": "nf nf-md-playlist_play",
    "xbps": "nf nf-fa-archive",
    "xcf": "nf nf-fa-file_image",
    "xls": "nf nf-fa-file_excel",
    "xlsx": "nf nf-fa-file_excel",
    "xml": "nf nf-fa-code",
    "xul": "nf nf-fa-firefox",
    "xz": "nf nf-oct-file_zip",
    "yaml": "nf nf-seti-json",
    "yml": "nf nf-seti-json",
    "zip": "nf nf-oct-file_zip",
    "zig": "nf nf-seti-zig",
    "zshrc": "nf nf-oct-terminal",
    "zsh-theme": "nf nf-oct-terminal",
    "zsh": "nf nf-oct-terminal",
    "zst": "nf nf-oct-file_zip",
}

ByFileName = {
    "a.out": "nf nf-oct-terminal",
    "api": "nf nf-md-server_network",
    ".asoundrc": "nf nf-seti-config",
    ".atom": "nf nf-dev-atom",
    ".ash": "nf nf-oct-terminal",
    ".ash_history": "nf nf-oct-terminal",
    "authorized_keys": "nf nf-seti-license",
    "assets": "nf nf-fa-floppy_disk",
    ".android": "nf nf-fa-android",
    ".audacity-data": "nf nf-custom-folder_config",
    "backups": "nf nf-md-backup_restore",
    ".bash_history": "nf nf-md-bash",
    ".bash_logout": "nf nf-md-bash",
    ".bash_profile": "nf nf-md-bash",
    ".bashrc": "nf nf-md-bash",
    "bin": "nf nf-custom-folder_config",
    ".bpython_history": "nf nf-seti-python",
    "build": "nf nf-oct-package",
    "bspwmrc": "nf nf-seti-config",
    "build.ninja": "nf nf-fa-wrench",
    ".cache": "nf nf-md-cached",
    "cache": "nf nf-md-cached",
    "cargo.lock": "nf nf-seti-rust",
    "cargo.toml": "nf nf-seti-rust",
    ".cargo": "nf nf-seti-rust",
    ".ccls-cache": "nf nf-md-cached",
    "changelog": "nf nf-fa-markdown",
    ".clang-format": "nf nf-seti-config",
    "composer.json": "nf nf-seti-php",
    "composer.lock": "nf nf-seti-php",
    "conf.d": "nf nf-custom-folder_config",
    "config.ac": "nf nf-seti-config",
    "config.el": "nf nf-custom-emacs",
    "config.mk": "nf nf-seti-config",
    ".config": "nf nf-custom-folder_config",
    "config": "nf nf-custom-folder_config",
    "configure": "nf nf-fa-wrench",
    "content": "nf nf-fa-floppy_disk",
    "contributing": "nf nf-seti-license",
    "copyright": "nf nf-seti-license",
    "cron.daily": "nf nf-custom-folder_config",
    "cron.d": "nf nf-custom-folder_config",
    "cron.deny": "nf nf-seti-config",
    "cron.hourly": "nf nf-custom-folder_config",
    "cron.monthly": "nf nf-custom-folder_config",
    "crontab": "nf nf-seti-config",
    "cron.weekly": "nf nf-custom-folder_config",
    "crypttab": "nf nf-seti-config",
    ".cshrc": "nf nf-md-bash",
    "csh.cshrc": "nf nf-md-bash",
    "csh.login": "nf nf-md-bash",
    "csh.logout": "nf nf-md-bash",
    "css": "nf nf-dev-css3",
    "custom.el": "nf nf-custom-emacs",
    ".dbus": "nf nf-fa-cog",
    "desktop": "nf nf-fa-desktop",
    "docker-compose.yml": "nf nf-linux-docker",
    "dockerfile": "nf nf-linux-docker",
    "doc": "nf nf-fa-book",
    "dist": "nf nf-oct-package",
    "documents": "nf nf-fa-book",
    ".doom.d": "nf nf-custom-emacs",
    "downloads": "nf nf-md-folder_download",
    ".ds_store": "nf nf-fa-apple",
    ".editorconfig": "nf nf-seti-config",
    ".electron-gyp": "nf nf-custom-folder_npm",
    ".emacs.d": "nf nf-custom-emacs",
    ".env": "nf nf-oct-sliders",
    "environment": "nf nf-oct-sliders",
    ".eslintrc.json": "nf nf-oct-sliders",
    ".eslintrc.js": "nf nf-oct-sliders",
    ".eslintrc.yml": "nf nf-oct-sliders",
    "etc": "nf nf-custom-folder_config",
    "favicon.ico": "nf nf-fa-star",
    "favicons": "nf nf-fa-star",
    ".fennelrc": "nf nf-seti-config",
    "fstab": "nf nf-fa-database",
    ".fastboot": "nf nf-fa-android",
    ".gitattributes": "nf nf-fa-git",
    ".gitconfig": "nf nf-fa-git",
    ".git-credentials": "nf nf-seti-license",
    ".github": "nf nf-custom-folder_github",
    "gitignore_global": "nf nf-fa-git",
    ".gitignore": "nf nf-fa-git",
    ".gitlab-ci.yml": "nf nf-fa-gitlab",
    ".gitmodules": "nf nf-fa-git",
    ".git": "nf nf-custom-folder_git",
    ".gnupg": "nf nf-md-folder_key",
    "go.mod": "nf nf-seti-go",
    "go.sum": "nf nf-seti-go",
    "go.work": "nf nf-seti-go",
    "gradle": "nf nf-seti-gradle",
    "gradle.properties": "nf nf-seti-gradle",
    "gradlew": "nf nf-seti-gradle",
    "gradlew.bat": "nf nf-seti-gradle",
    "group": "nf nf-seti-config",
    "gruntfile.coffee": "nf nf-seti-grunt",
    "gruntfile.js": "nf nf-seti-grunt",
    "gruntfile.ls": "nf nf-seti-grunt",
    "gshadow": "nf nf-seti-config",
    "gulpfile.coffee": "nf nf-seti-gulp",
    "gulpfile.js": "nf nf-seti-gulp",
    "gulpfile.ls": "nf nf-seti-gulp",
    "heroku.yml": "nf nf-dev-heroku",
    "hidden": "nf nf-fa-lock",
    "home": "nf nf-fa-home",
    "hostname": "nf nf-seti-config",
    "hosts": "nf nf-md-access_point_network",
    ".htaccess": "nf nf-seti-config",
    "htoprc": "nf nf-seti-config",
    ".htpasswd": "nf nf-seti-config",
    ".icons": "nf nf-fa-star",
    "icons": "nf nf-fa-star",
    "id_dsa": "nf nf-md-key_outline",
    "id_ecdsa": "nf nf-md-key_outline",
    "id_rsa": "nf nf-md-key_outline",
    ".idlerc": "nf nf-fae-python",
    "img": "nf nf-fa-file_image",
    "include": "nf nf-custom-folder_config",
    "init.el": "nf nf-custom-emacs",
    ".inputrc": "nf nf-seti-config",
    "inputrc": "nf nf-seti-config",
    ".java": "nf nf-fae-java",
    "jenkinsfile": "nf nf-seti-jenkins",
    "js": "nf nf-dev-javascript",
    ".jupyter": "nf nf-seti-python",
    "kbuild": "nf nf-seti-config",
    "kconfig": "nf nf-seti-config",
    "kdeglobals": "nf nf-seti-config",
    "kdenliverc": "nf nf-seti-config",
    "known_hosts": "nf nf-seti-license",
    ".kshrc": "nf nf-oct-terminal",
    "libexec": "nf nf-fa-code",
    "lib32": "nf nf-fa-code",
    "lib64": "nf nf-fa-code",
    "lib": "nf nf-fa-code",
    "license.md": "nf nf-seti-license",
    "licenses": "nf nf-seti-license",
    "license.txt": "nf nf-seti-license",
    "license": "nf nf-seti-license",
    "localized": "nf nf-fa-apple",
    "lsb-release": "nf nf-seti-config",
    ".lynxrc": "nf nf-seti-config",
    ".mailcap": "nf nf-md-email_outline",
    "mail": "nf nf-md-email_outline",
    "magic": "nf nf-fa-magic",
    "maintainers": "nf nf-seti-license",
    "makefile.ac": "nf nf-seti-config",
    "makefile": "nf nf-seti-config",
    "manifest": "nf nf-fa-hashtag",
    "md5sum": "nf nf-md-shield_check",
    "meson.build": "nf nf-fa-wrench",
    "metadata": "nf nf-custom-folder_config",
    "metadata.xml": "nf nf-oct-sliders",
    "media": "nf nf-oct-file_media",
    ".mime.types": "nf nf-md-file_tree",
    "mime.types": "nf nf-md-file_tree",
    "module.symvers": "nf nf-oct-file_binary",
    ".mozilla": "nf nf-dev-mozilla",
    "music": "nf nf-md-folder_music",
    "muttrc": "nf nf-seti-config",
    ".muttrc": "nf nf-seti-config",
    ".mutt": "nf nf-seti-config",
    ".mypy_cache": "nf nf-md-cached",
    "neomuttrc": "nf nf-seti-config",
    ".neomuttrc": "nf nf-seti-config",
    "netlify.toml": "nf nf-fa-server",
    ".nix-channels": "nf nf-linux-nixos",
    ".nix-defexpr": "nf nf-linux-nixos",
    ".node-gyp": "nf nf-custom-folder_npm",
    "node_modules": "nf nf-custom-folder_npm",
    ".node_repl_history": "nf nf-dev-nodejs_small",
    "npmignore": "nf nf-dev-npm",
    ".npm": "nf nf-custom-folder_npm",
    "nvim": "nf nf-linux-neovim",
    "obj": "nf nf-seti-julia",
    "os-release": "nf nf-seti-config",
    "package.json": "nf nf-dev-nodejs_small",
    "package-lock.json": "nf nf-dev-nodejs_small",
    "packages.el": "nf nf-custom-emacs",
    "pam.d": "nf nf-md-folder_key",
    "passwd": "nf nf-fa-lock",
    "pictures": "nf nf-md-folder_image",
    "pkgbuild": "nf nf-linux-archlinux",
    ".pki": "nf nf-fa-lock",
    "portage": "nf nf-linux-gentoo",
    "profile": "nf nf-seti-config",
    ".profile": "nf nf-seti-config",
    "public": "nf nf-oct-person",
    "__pycache__": "nf nf-seti-python",
    "pyproject.toml": "nf nf-seti-python",
    ".python_history": "nf nf-seti-python",
    ".pypirc": "nf nf-seti-python",
    "rc.lua": "nf nf-seti-config",
    "readme": "nf nf-fa-markdown",
    ".release.toml": "nf nf-seti-rust",
    "requirements.txt": "nf nf-md-language_python",
    "robots.txt": "nf nf-md-robot",
    "root": "nf nf-md-folder_lock",
    "rubydoc": "nf nf-dev-ruby_on_rails",
    "runtime.txt": "nf nf-md-language_python",
    ".rustup": "nf nf-seti-rust",
    "rustfmt.toml": "nf nf-seti-rust",
    ".rvm": "nf nf-fae-ruby_o",
    "sass": "nf nf-seti-sass",
    "sbin": "nf nf-custom-folder_config",
    "scripts": "nf nf-oct-terminal",
    "scss": "nf nf-seti-sass",
    "sha256sum": "nf nf-md-shield_check",
    "shadow": "nf nf-seti-config",
    "share": "nf nf-fa-mail_forward",
    ".shellcheckrc": "nf nf-seti-config",
    "shells": "nf nf-seti-config",
    ".spacemacs": "nf nf-custom-emacs",
    ".sqlite_history": "nf nf-dev-sqllite",
    "src": "nf nf-md-folder_wrench",
    ".ssh": "nf nf-md-folder_key",
    "static": "nf nf-fa-floppy_disk",
    "std": "nf nf-md-code_not_equal_variant",
    "styles": "nf nf-dev-css3",
    "subgid": "nf nf-seti-config",
    "subuid": "nf nf-seti-config",
    "sudoers": "nf nf-fa-lock",
    "sxhkdrc": "nf nf-seti-config",
    "template": "nf nf-linux-void",
    "tests": "nf nf-md-test_tube",
    "tigrc": "nf nf-seti-config",
    "timezone": "nf nf-oct-clock",
    "tox.ini": "nf nf-seti-config",
    ".trash": "nf nf-fa-trash",
    "ts": "nf nf-seti-typescript",
    ".tox": "nf nf-seti-python",
    "unlicense": "nf nf-seti-license",
    "url": "nf nf-fa-globe",
    "user-dirs.dirs": "nf nf-custom-folder_config",
    "vagrantfile": "nf nf-seti-config",
    "vendor": "nf nf-md-symfony",
    "venv": "nf nf-md-language_python",
    "videos": "nf nf-fa-video",
    ".viminfo": "nf nf-custom-vim",
    ".vimrc": "nf nf-custom-vim",
    "vimrc": "nf nf-custom-vim",
    ".vim": "nf nf-custom-vim",
    "vim": "nf nf-custom-vim",
    ".vscode": "nf nf-dev-visualstudio",
    "webpack.config.js": "nf nf-md-webpack",
    ".wgetrc": "nf nf-seti-config",
    "wgetrc": "nf nf-seti-config",
    ".xauthority": "nf nf-seti-config",
    ".Xauthority": "nf nf-seti-config",
    "xbps.d": "nf nf-linux-void",
    "xbps-src": "nf nf-linux-void",
    ".xinitrc": "nf nf-seti-config",
    ".xmodmap": "nf nf-seti-config",
    ".Xmodmap": "nf nf-seti-config",
    "xmonad.hs": "nf nf-seti-config",
    "xorg.conf.d": "nf nf-custom-folder_config",
    ".xprofile": "nf nf-seti-config",
    ".Xprofile": "nf nf-seti-config",
    ".xresources": "nf nf-seti-config",
    ".yarnrc": "nf nf-seti-yarn",
    "yarn.lock": "nf nf-seti-yarn",
    "zathurarc": "nf nf-seti-config",
    ".zcompdump": "nf nf-seti-config",
    ".zlogin": "nf nf-md-bash",
    ".zlogout": "nf nf-md-bash",
    ".zprofile": "nf nf-md-bash",
    ".zsh_history": "nf nf-md-bash",
    ".zshrc": "nf nf-md-bash",
}

ByType = {
    "dir": "nf nf-fa-folder",
    "file": "nf nf-fa-file",
    "pipe": "nf nf-md-filter",
    "socket": "nf nf-md-cube_send",
    "executable": "nf nf-oct-terminal",
    "symlink_dir": "nf nf-oct-file_symlink_directory",
    "symlink_file": "nf nf-oct-file_symlink_file",
    "device_char": "nf nf-seti-project",
    "device_block": "nf nf-md-webpack",
    "special": "nf nf-fa-snowflake",
    "history": "nf nf-fa-clock_rotate_left",
}


# --------------------------------------------------------------------------------------
# Functions
# --------------------------------------------------------------------------------------


def get_icon_nerd(type, name):
    """
    Retrieve the appropriate icon based on the type and name.

    Args:
    ----
        type: The type of the item, determining which icon to retrieve from
              the ByType mapping unless it is 'file'.
        name: The name of the item, used to check against the ByFileName
              mapping or to extract the file extension for the ByExtension mapping.

    Returns:
    -------
        A string representing the appropriate icon class. If the type
        is not found in ByType, a default question icon is returned. If the
        name is found in ByFileName, its corresponding icon is returned;
        otherwise, if the extension is found in ByExtension, that icon is returned.
        If no matches are found, a default file icon is returned.

    """
    type_lower = type.lower()
    name_lower = name.lower()
    if type_lower != "file":
        if type_lower in ByType:
            return ByType[type_lower]

        return "nf nf-oct-question"

    if name_lower in ByFileName:
        return ByFileName[name_lower]
    if name_lower.split(".")[-1] in ByExtension:
        return ByExtension[name_lower.split(".")[-1]]
    return "nf nf-fa-file"
